petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDrawStringVertical

PetscDraws text onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawStringVertical(PetscDraw draw,PetscReal xl,PetscReal yl,int cl,const char text[])

Not Collective

### Input Parameters

| draw | - the drawing context
| xl,yl | - the coordinates of upper left corner of text
| cl | - the color of the text
| text | - the text to draw

### See Also

PetscDrawString(), PetscDrawStringCentered(), PetscDrawStringBoxed(), PetscDrawStringBoxed(), PetscDrawStringSetSize(),
PetscDrawStringGetSize()

### Level

beginner

### Location

src/sys/classes/draw/interface/dtext.c

### Implementations

PetscDrawStringVertical_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawStringVertical_Null in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawStringVertical_TikZ in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawStringVertical_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
PetscDrawStringVertical_X in src/sys/classes/draw/impls/x/xops.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages